Bug 97458 - rpm-4.2-1 don't work with uid != 0
rpm-4.2-1 don't work with uid != 0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-16 03:40 EDT by Féliciano Matias
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 09:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Féliciano Matias 2003-06-16 03:40:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
rpm -i or -U with the flag --justdb don't work when the user is not root.

Version-Release number of selected component (if applicable):
rpm-4.2-1

How reproducible:
Always

Steps to Reproduce:
Example :
[f.matias@one tmp]$ id
uid=500(f.matias) gid=100(users) groupes=100(users)
[f.matias@one tmp]$ rpm --initdb --dbpath /tmp/rpmdb
[f.matias@one tmp]$ rpm -i --justdb --noscripts --notriggers --dbpath /tmp/rpmdb
setup-2.5.25-1.noarch.rpm
warning: setup-2.5.25-1.noarch.rpm: V3 DSA signature: NOKEY, key ID db42a60e
[f.matias@one tmp]$ rpm -q -a --dbpath /tmp/rpmdb
[# nothing has been inserted.]
[f.matias@one tmp]$ su
Password:
[root@one tmp]# rm -r -f rpmdb/
[root@one tmp]# rpm --initdb --dbpath /tmp/rpmdb
[root@one tmp]# rpm -i --justdb --noscripts --notriggers --dbpath /tmp/rpmdb
setup-2.5.25-1.noarch.rpm
warning: setup-2.5.25-1.noarch.rpm: V3 DSA signature: NOKEY, key ID db42a60e
[root@one tmp]# rpm -q -a --dbpath /tmp/rpmdb
setup-2.5.25-1
[root@one tmp]#


Actual Results:  if the user not root then the package is not inserted in the
rpm database.

Expected Results:  package inserted in the rpm database.

Additional info:
Comment 1 Jeff Johnson 2003-06-19 09:02:53 EDT
Both -i and -U depend on chroot(2), which is root only.

Note You need to log in before you can comment on or make changes to this bug.